Packages - Bug #1561

[pcr/ring] requires rebuild against enchant 2.1.2-2
2017-12-10 10:10 AM - ToffeeYogurtPots

Status: fixed % Done: 50%
Priority: bug

Assignee: lukeshu

Category:

Description

ring-client-gnome fails to start on both my local and virtual machines. All are fully up-to-date.

[user@hostname ~]$ gnome-ring
gnome-ring: error while loading shared libraries: libenchant.so.1: cannot open shared object file: No such file or directory

History

#1 - 2017-12-11 10:00 AM - oaken-source

- Assignee set to lukeshu

- Subject changed from [pcr/ring-client-gnome] requires rebuild against enchant 2.1.2-2 to [pcr/ring] requires rebuild against enchant 2.1.2-2
pcr/ring currently does not compile successfully, and seems to be out of date as well.

| am assigning this to the current maintainer :)

#2 - 2017-12-11 10:42 AM - bill-auger

x86_46 is rebuilt today (20171024.1.eadbdeb-2.3) but i an getting a different error

$ pacman -Si ring-daemon | grep Version

Version : 20171024.1.eadbdeb-2.2
$ pacman -Si opendht | grep Version
Version : 1:1.5.0-1

$ /usr/lib/ring/dring

/usr/lib/ring/dring: symbol lookup error: /usr/lib/libring.so.0: undefined symbol: _ZN3dht9DhtRunner3putENS_8I
nfoHashESt1l0shared_ptrINS_5ValueEESt8functionIFvbRKSt6évectorIS2_INS_4NodeEESaIS8_EEEENSt6chronolOtime_pointINS
F_3_V212steady_clockENSF_8durationIlSt5ratioILl11EL11000000000EEEEEED

opendht was updated recently (1:1.5.0-1) so this could be why - i tried building the latest ring release (20171129.2.cf5bbff) but it is still FTBFS

|  ringaccount.cpp: In member function ‘void ring::RingAccount::loadAccountFromDHT (const string&, const strin
g&) ’:
|  ringaccount.cpp:1146:33: error: no matching function for call to ‘dht::DhtRunner::bootstrap (std::vector<dh
t::SockAddr>&) "’
dht_.bootstrap (bootstrap) ;
In file included from ringaccount.h:36:0,
from ringaccount.cpp:24:

| /usr/include/opendht/dhtrunner.h:205:10: note: candidate: void dht::DhtRunner::bootstrap (const std::vector
<std::pair<sockaddr_storage, unsigned int> >&, dht::DoneCallbackSimple&&)

| void bootstrap (const std::vector<std::pair<sockaddr_storage, socklen_t>>& nodes, DoneCallbackSimple&s&
cb={1});

| ~

| /usr/include/opendht/dhtrunner.h:205:10: note: no known conversion for argument 1 from ‘std::vector<dht:
:SockAddr>’ to ‘const std::vector<std::pair<sockaddr_storage, unsigned int> >&’

| /usr/include/opendht/dhtrunner.h:206:10: note: candidate: void dht::DhtRunner::bootstrap (const dht::SockAd
dr&, dht::DoneCallbackSimple&s)

| void bootstrap (const SockAddr& addr, DoneCallbackSimple&s& cb={});

| Nam~n e~

| /usr/include/opendht/dhtrunner.h:206:10: note: no known conversion for argument 1 from ‘std::vector<dht:
:SockAddr>’ to ‘const dht::SockAddr&’

| /usr/include/opendht/dhtrunner.h:212:10: note: candidate: void dht::DhtRunner::bootstrap (const std::vector
<dht: :NodeExport>&)

| void bootstrap (const std::vector<NodeExport>& nodes) ;

| ANanm~n
| /usr/include/opendht/dhtrunner.h:212:10: note: no known conversion for argument 1 from ‘std::vector<dht:
:SockAddr>’ to ‘const std::vector<dht::NodeExport>&’
| /usr/include/opendht/dhtrunner.h:220:10: note: candidate: void dht::DhtRunner::bootstrap (const string&, co
stringé&)

void bootstrap(const std::string& host, const std::string& service);
/usr/include/opendht/dhtrunner.h:220:10: note: candidate expects 2 arguments, 1 provided
cpp: In member function ‘std::vector<dht::SockAddr> ring::RingAccount::loadBootstrap ()
cpp:1859:39: ‘dht::SockAddr’

auto ips =

ringaccount. const’:
error: ‘resolve’ is not a member of

dht: :SockAddr: :resolve (node_addr) ;

ringaccount.

’

cpp:1869:33:
for (auto& ip

unable to deduce ‘auto&&’ from ‘ips

ips) {

A

ringaccount. error:

’ .

‘void ring::RingAccount::doRegister_ ()
‘dht: :DhtRunner: :bootstrap (std: :vector<dh

cpp: In member function
cpp:2075:37: no matching function for call to

ringaccount.
ringaccount. error:
t::SockAddr>g)’

| dht_.bootstrap (bootstrap);

| ~

| In file included from ringaccount.h:36:0,

| from ringaccount.cpp:24:

| /usr/include/opendht/dhtrunner.h:205:10: note: candidate: void dht::DhtRunner: :bootstrap (const std::vector
s dht: :DoneCallbackSimple&&)

|

socklen_t>>& nodes,

<std::pair<sockaddr_storage, unsigned int> >g,

void bootstrap (const std::vector<std::pair<sockaddr_storage, DoneCallbackSimple&é&

cb={1});

| Namnmmnmn

| /usr/include/opendht/dhtrunner.h:205:10: note: no known conversion for argument 1 from ‘std::vector<dht:
:SockAddr>’ to ‘const std::vector<std::pair<sockaddr_storage, unsigned int> >&’

| /usr/include/opendht/dhtrunner.h:206:10: note: candidate: void dht::DhtRunner::bootstrap (const dht::SockAd
dr&, dht::DoneCallbackSimples&s)

| void bootstrap (const SockAddr& addr, DoneCallbackSimple&& cb={});

| Nmnm o mn

| /usr/include/opendht/dhtrunner.h:206:10: note: no known conversion for argument 1 from ‘std::vector<dht:
:SockAddr>’ to ‘const dht::SockAddré&’

| /usr/include/opendht/dhtrunner.h:212:10: note: candidate: void dht::DhtRunner::bootstrap (const std::vector

<dht: :NodeExport>§&)
| void bootstrap (const std::vector<NodeExport>& nodes) ;

| ~

| /usr/include/opendht/dhtrunner.h:212:10: note: no known conversion for argument 1 from ‘std::vector<dht:
:SockAddr>’ to ‘const std::vector<dht::NodeExport>&'
| /usr/include/opendht/dhtrunner.h:220:10: note: candidate: void dht::DhtRunner::bootstrap (const string&, co

nst stringé&)

| void bootstrap (const std::stringé& host, const std::string& service);

/usr/include/opendht/dhtrunner.h:220:10:

note: candidate expects 2 arguments, 1 provided

|

|

| make[4]: *** [Makefile:572: libringacc_la-ringaccount.lo] Error 1

| make[4]: Leaving directory '/build/ring/src/ring-project/daemon/src/ringdht’
| make[3]: *** [Makefile:612: all-recursive] Error 1

| make[3]: Leaving directory '/build/ring/src/ring-project/daemon/src/ringdht'
|  make[2]: *** [Makefile:996: all-recursive] Error 1

| make[2]: Leaving directory '/build/ring/src/ring-project/daemon/src'

| make[l]: *** [Makefile:544: all-recursive] Error 1

| make[l]: Leaving directory '/build/ring/src/ring-project/daemon’

|  make: *** [Makefile:475: all] Error 2

#3 - 2017-12-13 10:05 PM - lukeshu
- % Done changed from 0 to 50

I've done this for x86_64 (librerelease is currently uploading it). But | can't build on i686 because I'm getting key errors from other packages.

#4 - 2017-12-13 10:09 PM - lukeshu

To link it somewhere here:

PR [ filed against Ring: https:/gerrit-ring.savoirfairelinux.com/#/c/8503

That is the .patch that is checked in to abslibre.git.

#5 - 2017-12-14 11:06 AM - ToffeeYogurtPots

I'm on x86_64. Dring doesn't seem to be too happy.

[user@hostname ring]$ ./dring

./dring: symbol lookup error: /usr/lib/libring.s0.0: undefined symbol:
_ZN3dht9DhtRunner3putENS_8InfoHashESt10shared_ptrINS_5ValueEESt8functionlFvbRKSt6vectorIS2_INS_4NodeEESalS8_EEEENSt6chrono10t
ime_pointINSF_3_V212steady_clockENSF_8durationlISt5ratiolLI1ELI1000000000EEEEEEDb
https://gerrit-ring.savoirfairelinux.com/#/c/8503

#6 - 2018-01-01 06:24 AM - bill-auger

- Status changed from open to fixed
